#!/usr/bin/env python3

#PYTHON COMPONENT TO UNHOME A JOINT/AXIS
#https://forum.linuxcnc.org/24-hal-components/55115-caxis-comp-how-to-freewheel-axis-spindle?start=0#320338

#DUNHAM LATHE C-AXIS IS JOINT 2

import hal
import linuxcnc

h = hal.component("unhome-comp")
h.newpin("unhome-rotary", hal.HAL_BIT, hal.HAL_IN)
h.ready()
c = linuxcnc.command()
joint = 2
homed = 1
try:
    while 1:
        if homed == 1 and h['unhome-rotary'] == 1:
            c.teleop_enable(0)
            c.wait_complete()
            c.unhome(joint)
            homed = 0
        if homed == 0 and h['unhome-rotary'] == 0:
            homed = 1

except KeyboardInterrupt:
    raise SystemExit
